API reference
List campaigns
Lists campaigns in the workspace.
Authorization
apiKey AuthorizationBearer <token>
A scoped fd_test_ or fd_live_ server credential.
In: header
Path Parameters
workspace_id*string
Opaque workspace identifier.
Match
^ws_Query Parameters
limit?integer
Maximum number of objects to return.
Range
1 <= value <= 100Default
20after?string
Opaque cursor returned by the previous page.
status?string
Value in
- "draft"
- "scheduled"
- "sending"
- "sent"
- "failed"
- "archived"
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/workspaces/ws_01JEXAMPLE/campaigns"{ "data": [ { "id": "cmp_01JEXAMPLE", "object": "campaign", "subject": "string", "preheader": "string", "status": "draft", "newsletter_id": "string", "segment_id": "string", "scheduled_at": "2019-08-24T14:15:22Z", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" } ], "pagination": { "has_more": true, "next_cursor": "string" }}
